Bug 810481 - jbossesb.esb can't be deployed because of SqlSyntaxErrorException
Summary: jbossesb.esb can't be deployed because of SqlSyntaxErrorException
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: EAP
Version: 5.3.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER3
: 5.3.0 GA
Assignee: Default User
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-06 10:54 UTC by Filip Elias
Modified: 2014-01-16 05:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An error occurs when using SOA-P 5.3.0 DR3 to deploy jbossesb.esb. Upon attempting to launch the .esb, a SqlSyntaxErrorException message appears. You can work around this by using org.hibernate.type.NumericBooleanType type instead of BooleanType or adding the XML code referred to in the Bugzilla for this issue.
Clone Of:
Environment:
SOA-P 5.3.0 DR3 with database IBM DB2 9.7
Last Closed: 2012-06-26 14:06:37 UTC
Type: Bug


Attachments (Terms of Use)
Server log (3.00 MB, text/x-log)
2012-04-06 10:55 UTC, Filip Elias
no flags Details
SOA-P 5.3 ER3 server.log (org.hibernate set to debug level) (3.70 MB, text/x-log)
2012-06-07 13:55 UTC, Filip Elias
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBPAPP-8627 0 Major Closed Consistent test failures on DB2 due to processingError 2014-01-14 16:02:56 UTC
Red Hat Issue Tracker JBPAPP-9059 0 Major Reopened Consistent test failures on DB2 due to processingError 2014-01-16 05:04:53 UTC

Description Filip Elias 2012-04-06 10:54:04 UTC
Description of problem:

SOA-P 5.3.0 DR3 throws com.ibm.db2.jcc.am.SqlSyntaxErrorException while deploying jbossesb.esb. 

This problem occurs only with IBM DB2-97.
See log in the attachment.

Exception details: 
com.ibm.db2.jcc.am.SqlSyntaxErrorException: DB2 SQL Error: SQLCODE=-401, SQLSTATE=42818, SQLERRMC==, DRIVER=4.12.55
	at com.ibm.db2.jcc.am.hd.a(hd.java:676)
	at com.ibm.db2.jcc.am.hd.a(hd.java:60)
	at com.ibm.db2.jcc.am.hd.a(hd.java:127)
	at com.ibm.db2.jcc.am.mn.c(mn.java:2621)
	at com.ibm.db2.jcc.am.mn.d(mn.java:2609)
	at com.ibm.db2.jcc.am.mn.a(mn.java:2085)
	at com.ibm.db2.jcc.am.nn.a(nn.java:7054)
	at com.ibm.db2.jcc.t4.cb.g(cb.java:141)
	at com.ibm.db2.jcc.t4.cb.a(cb.java:41)
	at com.ibm.db2.jcc.t4.q.a(q.java:32)
	at com.ibm.db2.jcc.t4.rb.i(rb.java:135)
	at com.ibm.db2.jcc.am.mn.ib(mn.java:2055)
	at com.ibm.db2.jcc.am.nn.rc(nn.java:3219)
	at com.ibm.db2.jcc.am.nn.b(nn.java:4002)
	at com.ibm.db2.jcc.am.nn.ec(nn.java:728)
	at com.ibm.db2.jcc.am.nn.executeQuery(nn.java:698)
	at org.jboss.resource.adapter.jdbc.WrappedPreparedStatement.executeQuery(WrappedPreparedStatement.java:342)
	at org.hibernate.jdbc.AbstractBatcher.getResultSet(AbstractBatcher.java:208)
	at org.hibernate.loader.Loader.getResultSet(Loader.java:1997)

Comment 1 Filip Elias 2012-04-06 10:55:57 UTC
Created attachment 575704 [details]
Server log

Comment 5 Len DiMaggio 2012-05-09 20:30:37 UTC
Can we retest this with ER2?

Comment 6 Filip Elias 2012-05-10 07:48:00 UTC
Same problem with ER2.

Comment 7 tcunning 2012-05-18 03:42:18 UTC
Looks like there's a Hibernate fix for this : 

https://issues.jboss.org/browse/JBPAPP-8627
https://hibernate.onjira.com/browse/HHH-7317

Comment 8 Strong Liu 2012-05-18 14:24:44 UTC
as said in jira JBPAPP-8627, this can be easily workaround

Comment 11 JBoss JIRA Server 2012-06-06 10:12:52 UTC
Madhumita Sadhukhan <msadhukh@redhat.com> made a comment on jira JBPAPP-8627

All other tests pass when testsuite is run on DB2-97 after skipping hanging LockTest or LockModeTest

https://hudson.qa.jboss.com/hudson/view/EAP6/view/EAP6-Hibernate/job/eap6-hibernate-core-master-testsuite-testDB2Sybase/

Also fixes Envers testsuite failures on DB2

https://hudson.qa.jboss.com/hudson/view/EAP6/view/EAP6-Hibernate/job/eap-60-hibernate-envers-testsuite/database=db2-97,jdk=java16_default,label=hibernate/2/

Comment 12 JBoss JIRA Server 2012-06-06 10:12:58 UTC
Madhumita Sadhukhan <msadhukh@redhat.com> updated the status of jira JBPAPP-8627 to Closed

Comment 13 Strong Liu 2012-06-07 05:55:18 UTC
do you have a simple test case?

or, enable org.hibernate to debug level log, please

Comment 14 Filip Elias 2012-06-07 13:55:16 UTC
Created attachment 590207 [details]
SOA-P 5.3 ER3 server.log (org.hibernate set to debug level)

Comment 15 Filip Elias 2012-06-07 13:59:17 UTC
This (In reply to comment #13)
> do you have a simple test case?
> 
> or, enable org.hibernate to debug level log, please

This exception is thrown while booting SOA-P 5.3 ERx.

I have added server log with org.hibernate set to debug level.

Comment 17 Filip Elias 2012-06-12 15:20:33 UTC
This work around is valid. Is is necessary to add "<connection-property name="deferPrepares">false</connection-property>" to the "/jboss-as/server/db2-97/deploy/jbossesb-registry.sar/juddi-ds.xml".

Comment 18 JBoss JIRA Server 2012-06-12 15:23:30 UTC
Strong Liu <stliu@hibernate.org> made a comment on jira JBPAPP-9059

yeah, this is an option, not so sure about the eap5 ds format

Comment 20 JBoss JIRA Server 2012-06-14 01:13:33 UTC
Strong Liu <stliu@hibernate.org> made a comment on jira JBPAPP-9059

after talking with my team, we think there is no way to fix this in EAP5 w/o breaking compatibility change.

and since there already are workarounds, I'd like to resolve this as won't fix.

Comment 22 JBoss JIRA Server 2012-06-14 02:37:31 UTC
Strong Liu <stliu@hibernate.org> updated the status of jira JBPAPP-9059 to Resolved

Comment 23 Suz 2012-06-14 05:13:01 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
An error occurs when using SOA-P 5.3.0 DR3 to deploy jbossesb.esb. Upon attempting to launch the .esb, a SqlSyntaxErrorException message appears. You can work around this by creating a new dialect and adding the XML code referred to in the Bugzilla for this issue.

Comment 24 Strong Liu 2012-06-14 05:17:53 UTC
Suz,

I think it should be

"An error occurs when using SOA-P 5.3.0 DR3 to deploy jbossesb.esb. Upon attempting to launch the .esb, a SqlSyntaxErrorException message appears. You can work around this by using  org.hibernate.type.NumericBooleanType type instead of BooleanType OR adding the XML code referred to in the Bugzilla for this issue."

Comment 25 Suz 2012-06-26 23:43:11 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-An error occurs when using SOA-P 5.3.0 DR3 to deploy jbossesb.esb. Upon attempting to launch the .esb, a SqlSyntaxErrorException message appears. You can work around this by creating a new dialect and adding the XML code referred to in the Bugzilla for this issue.+An error occurs when using SOA-P 5.3.0 DR3 to deploy jbossesb.esb. Upon attempting to launch the .esb, a SqlSyntaxErrorException message appears. You can work around this by using  org.hibernate.type.NumericBooleanType type instead of BooleanType or adding the XML code referred to in the Bugzilla for this issue.

Comment 26 JBoss JIRA Server 2012-11-15 11:59:30 UTC
Zbyněk Roubalík <zroubali@redhat.com> updated the status of jira JBPAPP-9059 to Closed

Comment 27 JBoss JIRA Server 2012-11-15 11:59:30 UTC
Zbyněk Roubalík <zroubali@redhat.com> made a comment on jira JBPAPP-9059

Known issue, closing.

Comment 28 JBoss JIRA Server 2014-01-13 22:38:33 UTC
Scott Mumford <smumford@redhat.com> updated the status of jira JBPAPP-9059 to Reopened

Comment 29 JBoss JIRA Server 2014-01-13 22:40:12 UTC
Scott Mumford <smumford@redhat.com> updated the status of jira JBPAPP-9059 to Closed

Comment 30 JBoss JIRA Server 2014-01-16 05:04:54 UTC
Scott Mumford <smumford@redhat.com> updated the status of jira JBPAPP-9059 to Reopened


Note You need to log in before you can comment on or make changes to this bug.